{ Copyright (C) 2004 Aristoteles Rego

  This program is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License
  for more details.

  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 59 Temple
  Place - Suite 330, Boston, MA 02111-1307, USA.
}
unit agenda;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, LResources, Menus,
  StdCtrls, ExtCtrls, Buttons, ComCtrls;

type
  tBase=record
    QtReg:integer;
    PsReg:integer;
  end;

  tAgenda=record
    Cod:string;
    Nome:string;
    Ende:string;
    Comp:string;
    TelR:string;
    TelS:string;
    TelC:string;
    Mail:string;
  end;

  TForm1 = class(TForm)
    BtPrimeiro: TBUTTON;
    BtAnterior: TBUTTON;
    BtProximo: TBUTTON;
    BtUltimo: TBUTTON;
    BtNovo: TBUTTON;
    BtConfirma: TBUTTON;
    EditCod: TEDIT;
    EditNome: TEDIT;
    EditEnde: TEDIT;
    EditComp: TEDIT;
    EditTelR: TEDIT;
    EditTelS: TEDIT;
    EditTelC: TEDIT;
    EditMail: TEDIT;
    Label1: TLABEL;
    Label2: TLABEL;
    Label3: TLABEL;
    Label4: TLABEL;
    Label5: TLABEL;
    Label6: TLABEL;
    Label7: TLABEL;
    Label8: TLABEL;
    procedure BtAnteriorCLICK(Sender: TObject);
    procedure BtConfirmaCLICK(Sender: TObject);
    procedure BtNovoCLICK(Sender: TObject);
    procedure BtPrimeiroCLICK(Sender: TObject);
    procedure BtProximoCLICK(Sender: TObject);
    procedure BtUltimoCLICK(Sender: TObject);
    procedure Form1ACTIVATE(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 
  Base:tBase;
  vAgenda:array[1..100] of tAgenda;
  TipoOp:boolean;
  
implementation

{ TForm1 }

procedure TForm1.Form1ACTIVATE(Sender: TObject);
begin
  {TipoOp:=False;}
  Base.QtReg:=1; {inicia a quantidade de registro}
  Base.PsReg:=1;  {define a posicao do registro como um}
  EditCod.ReadOnly:=True;  {nao permite mudana do codigo}
  EditCod.text:=InttoStr(Base.PsReg);  {converte para string e atribui a EditCod}
end;

procedure TForm1.BtConfirmaCLICK(Sender: TObject);
begin
  {atribui ao array o conteudo de TEdit}
  vAgenda[Base.PsReg].Cod:=EditCod.text;
  vAgenda[Base.PsReg].Nome:=EditNome.text;
  vAgenda[Base.PsReg].Ende:=EditEnde.text;
  vAgenda[Base.PsReg].Comp:=EditComp.text;
  vAgenda[Base.PsReg].TelR:=EditTelR.text;
  vAgenda[Base.PsReg].TelS:=EditTelS.text;
  vAgenda[Base.PsReg].TelC:=EditTelC.text;
  vAgenda[Base.PsReg].Mail:=EditMail.text;
end;

procedure TForm1.BtAnteriorCLICK(Sender: TObject);
begin
  {se posicao for maior que um subtrai um}
  if Base.PsReg > 1 then
    {retorna uma posiao no array}
     Base.PsReg:=Base.PsReg-1;
  {atribui ao TEdit conteudo do array}
  EditCod.text:=vAgenda[Base.PsReg].Cod;
  EditNome.text:=vAgenda[Base.PsReg].Nome;
  EditEnde.text:=vAgenda[Base.PsReg].Ende;
  EditComp.text:=vAgenda[Base.PsReg].Comp;
  EditTelR.text:=vAgenda[Base.PsReg].TelR;
  EditTelS.text:=vAgenda[Base.PsReg].TelS;
  EditTelC.text:=vAgenda[Base.PsReg].TelC;
  EditMail.text:=vAgenda[Base.PsReg].Mail;
end;

procedure TForm1.BtNovoCLICK(Sender: TObject);
begin
  Base.QtReg:=Base.QtReg+1;
  Base.PsReg:=Base.QtReg;
  EditCod.text:=InttoStr(Base.QtReg);
  EditNome.text:='';
  EditEnde.text:='';
  EditComp.text:='';
  EditTelR.text:='';
  EditTelS.text:='';
  EditTelC.text:='';
  EditMail.text:='';
end;

procedure TForm1.BtPrimeiroCLICK(Sender: TObject);
begin
  {vai para posiao 1 do array}
  Base.PsReg:=1;
  {atribui ao TEdit conteudo do array}
  EditCod.text:=vAgenda[Base.PsReg].Cod;
  EditNome.text:=vAgenda[Base.PsReg].Nome;
  EditEnde.text:=vAgenda[Base.PsReg].Ende;
  EditComp.text:=vAgenda[Base.PsReg].Comp;
  EditTelR.text:=vAgenda[Base.PsReg].TelR;
  EditTelS.text:=vAgenda[Base.PsReg].TelS;
  EditTelC.text:=vAgenda[Base.PsReg].TelC;
  EditMail.text:=vAgenda[Base.PsReg].Mail;
end;

procedure TForm1.BtProximoCLICK(Sender: TObject);
begin
  {se posicao for menor que quantidade soma um}
  if Base.PsReg < Base.QtReg then
     {avana uma posiao no array}
     Base.PsReg:=Base.PsReg+1;
  {atribui ao TEdit conteudo do array}
  EditCod.text:=vAgenda[Base.PsReg].Cod;
  EditNome.text:=vAgenda[Base.PsReg].Nome;
  EditEnde.text:=vAgenda[Base.PsReg].Ende;
  EditComp.text:=vAgenda[Base.PsReg].Comp;
  EditTelR.text:=vAgenda[Base.PsReg].TelR;
  EditTelS.text:=vAgenda[Base.PsReg].TelS;
  EditTelC.text:=vAgenda[Base.PsReg].TelC;
  EditMail.text:=vAgenda[Base.PsReg].Mail;
end;

procedure TForm1.BtUltimoCLICK(Sender: TObject);
begin
  {vai para o ultimo registro}
  Base.PsReg:=Base.QtReg;
  {atribui ao TEdit conteudo do array}
  EditCod.text:=vAgenda[Base.PsReg].Cod;
  EditNome.text:=vAgenda[Base.PsReg].Nome;
  EditEnde.text:=vAgenda[Base.PsReg].Ende;
  EditComp.text:=vAgenda[Base.PsReg].Comp;
  EditTelR.text:=vAgenda[Base.PsReg].TelR;
  EditTelS.text:=vAgenda[Base.PsReg].TelS;
  EditTelC.text:=vAgenda[Base.PsReg].TelC;
  EditMail.text:=vAgenda[Base.PsReg].Mail;
end;

initialization
  {$I agenda.lrs}
  
end.

